package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.fieldset.vo.TypeTreeVO;
import com.engine.organization.service.ResourceBasicInfoService;
import com.engine.organization.service.impl.ResourceBasicInfoServiceImpl;
import com.engine.organization.util.OrganizationWrapper;
import weaver.hrm.User;

import java.util.List;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/8/23
 * @Version V1.0
 **/
public class ResourceBasicInfoWrapper extends OrganizationWrapper {

    private ResourceBasicInfoService getResourceBasicInfoService(User user){
        return ServiceUtil.getService(ResourceBasicInfoServiceImpl.class,user);
    }

    public  Map<String, Object> getResourceBasicInfo(Map<String, Object> params) {
        return  getResourceBasicInfoService(user).listPage(params);
    }

    public List<TypeTreeVO> getTreeData() {
        return getResourceBasicInfoService(user).getTreeData();
    }
}
